Package org.eclipse.m2m.atl.adt.ui

## Class AtlPreferenceConstants

- java.lang.Object
- - org.eclipse.m2m.atl.adt.ui.AtlPreferenceConstants

    public class AtlPreferenceConstants
    extends java.lang.Object

This class contains methods to product a correct preference fPreferenceeStore. Each new key you want to add have to be inserted as a static final string, for which one you have to initialize its type and its value, and thus permit to the new preference fPreferenceeStore to catch this value from the `createStoreKeys()` method.

### Field Summary

Fields
`static java.lang.String` `APPEARANCE`
`static java.lang.String` `APPEARANCE_CURRENT_LINE`
`static java.lang.String` `APPEARANCE_CURRENT_LINE_COLOR`
`static java.lang.String` `APPEARANCE_HIGHLIGHT_CURRENT_LINE`
`static java.lang.String` `APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS`
`static java.lang.String` `APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS_COLOR`
`static java.lang.String` `APPEARANCE_LINE_NUMBER_COLOR`
`static java.lang.String` `APPEARANCE_LINE_NUMBER_RULER`
`static java.lang.String` `APPEARANCE_PRINT_MARGIN`
`static java.lang.String` `APPEARANCE_PRINT_MARGIN_COLOR`
`static java.lang.String` `APPEARANCE_PRINT_MARGIN_COLUMN`
`static java.lang.String` `APPEARANCE_SELECTION_BACKGROUND_COLOR`
`static java.lang.String` `APPEARANCE_SELECTION_BACKGROUND_DEFAULT`
`static java.lang.String` `APPEARANCE_SELECTION_FOREGROUND_COLOR`
`static java.lang.String` `APPEARANCE_SELECTION_FOREGROUND_DEFAULT`
`static java.lang.String` `APPEARANCE_TAB_WIDTH`
`static java.lang.String` `BOLD_SUFFIX`
`static java.lang.String` `CODEASSIST`
`static java.lang.String` `CODEASSIST_AUTOACTIVATION`
`static java.lang.String` `CODEASSIST_AUTOACTIVATION_DELAY`
`static java.lang.String` `CODEASSIST_AUTOACTIVATION_ENABLE`
`static java.lang.String` `CODEASSIST_AUTOACTIVATION_TRIGGERS`
`static java.lang.String` `CODEASSIST_AUTOINSERT`
`static java.lang.String` `CODEASSIST_CASE_SENSITIVITY`
`static java.lang.String` `CODEASSIST_ORDER_PROPOSALS`
`static java.lang.String` `CODEASSIST_PARAMETERS_BACKGROUND`
`static java.lang.String` `CODEASSIST_PARAMETERS_FOREGROUND`
`static java.lang.String` `CODEASSIST_PREFIX_COMPLETION`
`static java.lang.String` `CODEASSIST_PROPOSALS_BACKGROUND`
`static java.lang.String` `CODEASSIST_PROPOSALS_FOREGROUND`
`static java.lang.String` `CODEASSIST_REPLACEMENT_BACKGROUND`
`static java.lang.String` `CODEASSIST_REPLACEMENT_FOREGROUND`
`static java.lang.String` `CODEASSIST_SHOW_VISIBLE_PROPOSALS`
`static java.lang.String` `CODEFORMATTER`
`static java.lang.String` `CODEFORMATTER_CUT_AFTER_POINT`
`static java.lang.String` `CODEFORMATTER_LINE_MAX_LENGTH`
`static java.lang.String` `CODEFORMATTER_LINES_AFTER_CREATE_FROM`
`static java.lang.String` `CODEFORMATTER_LINES_AFTER_MODULE`
`static java.lang.String` `CODEFORMATTER_LINES_AFTER_SPECIAL_TAGS`
`static java.lang.String` `CODEFORMATTER_LINES_BETWEEN`
`static java.lang.String` `CODEFORMATTER_SPACES_AFTER_ARROWS`
`static java.lang.String` `CODEFORMATTER_SPACES_AFTER_COLON`
`static java.lang.String` `CODEFORMATTER_SPACES_AFTER_COMA`
`static java.lang.String` `CODEFORMATTER_SPACES_AFTER_COMMENT`
`static java.lang.String` `CODEFORMATTER_SPACES_AFTER_EQUAL`
`static java.lang.String` `CODEFORMATTER_SPACES_AFTER_EXCLAMATION`
`static java.lang.String` `CODEFORMATTER_SPACES_AFTER_OPERATOR`
`static java.lang.String` `CODEFORMATTER_SPACES_AFTER_PIPE`
`static java.lang.String` `CODEFORMATTER_SPACES_AFTER_POINT`
`static java.lang.String` `CODEFORMATTER_SPACES_AFTER_SEMI`
`static java.lang.String` `CODEFORMATTER_SPACES_BEFORE_ARROWS`
`static java.lang.String` `CODEFORMATTER_SPACES_BEFORE_COLON`
`static java.lang.String` `CODEFORMATTER_SPACES_BEFORE_COMA`
`static java.lang.String` `CODEFORMATTER_SPACES_BEFORE_ENDING_SEMI`
`static java.lang.String` `CODEFORMATTER_SPACES_BEFORE_EQUAL`
`static java.lang.String` `CODEFORMATTER_SPACES_BEFORE_EXCLAMATION`
`static java.lang.String` `CODEFORMATTER_SPACES_BEFORE_OPERATOR`
`static java.lang.String` `CODEFORMATTER_SPACES_BEFORE_PIPE`
`static java.lang.String` `CODEFORMATTER_SPACES_BEFORE_POINT`
`static java.lang.String` `CODEFORMATTER_SPACES_BEFORE_RULE_BRACE`
`static java.lang.String` `CODEFORMATTER_SPACES_BEFORE_SEMI`
`static java.lang.String` `CODEFORMATTER_SPACES_INSIDE_BRACES`
`static java.lang.String` `CODEFORMATTER_SPACES_INSIDE_COLLECTION_BRACE`
`static java.lang.String` `CODEFORMATTER_SPACES_OUTSIDE_BRACES`
`static java.lang.String` `CODEFORMATTER_SPACES_OUTSIDE_COLLECTION_BRACE`
`static java.lang.String` `COLOR_SUFFIX`
`static java.lang.String` `EDITOR`
`static java.lang.String` `EDITOR_BACKGROUND_COLOR`
`static java.lang.String` `EDITOR_BACKGROUND_COLOR_DEFAULT`
`static java.lang.String` `EDITOR_FOREGROUND_COLOR`
`static java.lang.String` `EDITOR_FOREGROUND_COLOR_DEFAULT`
`static java.lang.String` `EDITOR_SMART_BACKSPACE`
`static java.lang.String` `HOVER`
`static java.lang.String` `HOVER_ANNOTATION_ROLL_OVER`
`static java.lang.String` `ITALIC_SUFFIX`
`static java.lang.String` `PREFIX`
`static java.lang.String` `SYNTAX`
`static java.lang.String` `SYNTAX_ABSTRACT_TYPE`
`static java.lang.String` `SYNTAX_ABSTRACT_TYPE_BOLD`
`static java.lang.String` `SYNTAX_ABSTRACT_TYPE_COLOR`
`static java.lang.String` `SYNTAX_ABSTRACT_TYPE_ITALIC`
`static java.lang.String` `SYNTAX_BOLD_KEYWORD`
`static java.lang.String` `SYNTAX_BOLD_KEYWORD_BOLD`
`static java.lang.String` `SYNTAX_BOLD_KEYWORD_COLOR`
`static java.lang.String` `SYNTAX_BOLD_KEYWORD_ITALIC`
`static java.lang.String` `SYNTAX_BRACKET`
`static java.lang.String` `SYNTAX_BRACKET_BOLD`
`static java.lang.String` `SYNTAX_BRACKET_COLOR`
`static java.lang.String` `SYNTAX_BRACKET_ITALIC`
`static java.lang.String` `SYNTAX_CONSTANT`
`static java.lang.String` `SYNTAX_CONSTANT_BOLD`
`static java.lang.String` `SYNTAX_CONSTANT_COLOR`
`static java.lang.String` `SYNTAX_CONSTANT_ITALIC`
`static java.lang.String` `SYNTAX_CONTEXT_KEYWORD`
`static java.lang.String` `SYNTAX_CONTEXT_KEYWORD_BOLD`
`static java.lang.String` `SYNTAX_CONTEXT_KEYWORD_COLOR`
`static java.lang.String` `SYNTAX_CONTEXT_KEYWORD_ITALIC`
`static java.lang.String` `SYNTAX_DEFAULT`
`static java.lang.String` `SYNTAX_DEFAULT_BOLD`
`static java.lang.String` `SYNTAX_DEFAULT_COLOR`
`static java.lang.String` `SYNTAX_DEFAULT_ITALIC`
`static java.lang.String` `SYNTAX_IDENTIFIER`
`static java.lang.String` `SYNTAX_IDENTIFIER_BOLD`
`static java.lang.String` `SYNTAX_IDENTIFIER_COLOR`
`static java.lang.String` `SYNTAX_IDENTIFIER_ITALIC`
`static java.lang.String` `SYNTAX_KEYWORD`
`static java.lang.String` `SYNTAX_KEYWORD_BOLD`
`static java.lang.String` `SYNTAX_KEYWORD_COLOR`
`static java.lang.String` `SYNTAX_KEYWORD_ITALIC`
`static java.lang.String` `SYNTAX_LITERAL`
`static java.lang.String` `SYNTAX_LITERAL_BOLD`
`static java.lang.String` `SYNTAX_LITERAL_COLOR`
`static java.lang.String` `SYNTAX_LITERAL_ITALIC`
`static java.lang.String` `SYNTAX_NUMBER`
`static java.lang.String` `SYNTAX_NUMBER_BOLD`
`static java.lang.String` `SYNTAX_NUMBER_COLOR`
`static java.lang.String` `SYNTAX_NUMBER_ITALIC`
`static java.lang.String` `SYNTAX_OPERATOR`
`static java.lang.String` `SYNTAX_OPERATOR_BOLD`
`static java.lang.String` `SYNTAX_OPERATOR_COLOR`
`static java.lang.String` `SYNTAX_OPERATOR_ITALIC`
`static java.lang.String` `SYNTAX_SINGLE_LINE_COMMENT`
`static java.lang.String` `SYNTAX_SINGLE_LINE_COMMENT_BOLD`
`static java.lang.String` `SYNTAX_SINGLE_LINE_COMMENT_COLOR`
`static java.lang.String` `SYNTAX_SINGLE_LINE_COMMENT_ITALIC`
`static java.lang.String` `SYNTAX_SINGLE_LINE_SPECIAL_COMMENT`
`static java.lang.String` `SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_BOLD`
`static java.lang.String` `SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_COLOR`
`static java.lang.String` `SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_ITALIC`
`static java.lang.String` `SYNTAX_STRING`
`static java.lang.String` `SYNTAX_STRING_BOLD`
`static java.lang.String` `SYNTAX_STRING_COLOR`
`static java.lang.String` `SYNTAX_STRING_ITALIC`
`static java.lang.String` `SYNTAX_SYMBOL`
`static java.lang.String` `SYNTAX_SYMBOL_BOLD`
`static java.lang.String` `SYNTAX_SYMBOL_COLOR`
`static java.lang.String` `SYNTAX_SYMBOL_ITALIC`
`static java.lang.String` `SYNTAX_TYPE`
`static java.lang.String` `SYNTAX_TYPE_BOLD`
`static java.lang.String` `SYNTAX_TYPE_COLOR`
`static java.lang.String` `SYNTAX_TYPE_ITALIC`
`static java.lang.String` `TYPING`
`static java.lang.String` `TYPING_CLOSE_BRACES`
`static java.lang.String` `TYPING_CLOSE_BRACKETS`
`static java.lang.String` `TYPING_CLOSE_STRINGS`
`static java.lang.String` `TYPING_ESCAPE_STRINGS`
`static java.lang.String` `TYPING_IMPORTS_ON_PASTE`
`static java.lang.String` `TYPING_SMART_OPENING_BRACE`
`static java.lang.String` `TYPING_SMART_PASTE`
`static java.lang.String` `TYPING_SMART_SEMICOLON`
`static java.lang.String` `TYPING_SMART_TAB`
`static java.lang.String` `TYPING_SPACES_FOR_TABS`
`static java.lang.String` `TYPING_WRAP_STRINGS`

### Method Summary

All Methods Static Methods Concrete Methods
`static AtlPreferenceStore.Key[]` `createStoreKeys()` This method generates a list of preference keys that can be used to initialize a new preference fPreferenceeStore.
`static void` `initializeDefaultValues​(org.eclipse.jface.preference.IPreferenceStore store)` Initialize a preference fPreferenceeStore with the default values that are setting up by the inline constants.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BOLD_SUFFIX

    public static final java.lang.String BOLD_SUFFIX

See Also:
  Constant Field Values

#### COLOR_SUFFIX

    public static final java.lang.String COLOR_SUFFIX

See Also:
  Constant Field Values

#### ITALIC_SUFFIX

    public static final java.lang.String ITALIC_SUFFIX

See Also:
  Constant Field Values

#### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

#### APPEARANCE

    public static final java.lang.String APPEARANCE

See Also:
  Constant Field Values

#### APPEARANCE_CURRENT_LINE

    public static final java.lang.String APPEARANCE_CURRENT_LINE

See Also:
  Constant Field Values

#### APPEARANCE_CURRENT_LINE_COLOR

    public static final java.lang.String APPEARANCE_CURRENT_LINE_COLOR

See Also:
  Constant Field Values

#### APPEARANCE_HIGHLIGHT_CURRENT_LINE

    public static final java.lang.String APPEARANCE_HIGHLIGHT_CURRENT_LINE

See Also:
  Constant Field Values

#### APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS

    public static final java.lang.String APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS

See Also:
  Constant Field Values

#### APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS_COLOR

    public static final java.lang.String APPEARANCE_HIGHLIGHT_MATCHING_BRACKETS_COLOR

See Also:
  Constant Field Values

#### APPEARANCE_LINE_NUMBER_COLOR

    public static final java.lang.String APPEARANCE_LINE_NUMBER_COLOR

See Also:
  Constant Field Values

#### APPEARANCE_LINE_NUMBER_RULER

    public static final java.lang.String APPEARANCE_LINE_NUMBER_RULER

See Also:
  Constant Field Values

#### APPEARANCE_PRINT_MARGIN

    public static final java.lang.String APPEARANCE_PRINT_MARGIN

See Also:
  Constant Field Values

#### APPEARANCE_PRINT_MARGIN_COLOR

    public static final java.lang.String APPEARANCE_PRINT_MARGIN_COLOR

See Also:
  Constant Field Values

#### APPEARANCE_PRINT_MARGIN_COLUMN

    public static final java.lang.String APPEARANCE_PRINT_MARGIN_COLUMN

See Also:
  Constant Field Values

#### APPEARANCE_SELECTION_BACKGROUND_COLOR

    public static final java.lang.String APPEARANCE_SELECTION_BACKGROUND_COLOR

See Also:
  Constant Field Values

#### APPEARANCE_SELECTION_BACKGROUND_DEFAULT

    public static final java.lang.String APPEARANCE_SELECTION_BACKGROUND_DEFAULT

See Also:
  Constant Field Values

#### APPEARANCE_SELECTION_FOREGROUND_COLOR

    public static final java.lang.String APPEARANCE_SELECTION_FOREGROUND_COLOR

See Also:
  Constant Field Values

#### APPEARANCE_SELECTION_FOREGROUND_DEFAULT

    public static final java.lang.String APPEARANCE_SELECTION_FOREGROUND_DEFAULT

See Also:
  Constant Field Values

#### APPEARANCE_TAB_WIDTH

    public static final java.lang.String APPEARANCE_TAB_WIDTH

See Also:
  Constant Field Values

#### CODEASSIST

    public static final java.lang.String CODEASSIST

See Also:
  Constant Field Values

#### CODEASSIST_AUTOACTIVATION

    public static final java.lang.String CODEASSIST_AUTOACTIVATION

See Also:
  Constant Field Values

#### CODEASSIST_AUTOACTIVATION_DELAY

    public static final java.lang.String CODEASSIST_AUTOACTIVATION_DELAY

See Also:
  Constant Field Values

#### CODEASSIST_AUTOACTIVATION_ENABLE

    public static final java.lang.String CODEASSIST_AUTOACTIVATION_ENABLE

See Also:
  Constant Field Values

#### CODEASSIST_AUTOACTIVATION_TRIGGERS

    public static final java.lang.String CODEASSIST_AUTOACTIVATION_TRIGGERS

See Also:
  Constant Field Values

#### CODEASSIST_AUTOINSERT

    public static final java.lang.String CODEASSIST_AUTOINSERT

See Also:
  Constant Field Values

#### CODEASSIST_CASE_SENSITIVITY

    public static final java.lang.String CODEASSIST_CASE_SENSITIVITY

See Also:
  Constant Field Values

#### CODEASSIST_ORDER_PROPOSALS

    public static final java.lang.String CODEASSIST_ORDER_PROPOSALS

See Also:
  Constant Field Values

#### CODEASSIST_PARAMETERS_BACKGROUND

    public static final java.lang.String CODEASSIST_PARAMETERS_BACKGROUND

See Also:
  Constant Field Values

#### CODEASSIST_PARAMETERS_FOREGROUND

    public static final java.lang.String CODEASSIST_PARAMETERS_FOREGROUND

See Also:
  Constant Field Values

#### CODEASSIST_PREFIX_COMPLETION

    public static final java.lang.String CODEASSIST_PREFIX_COMPLETION

See Also:
  Constant Field Values

#### CODEASSIST_PROPOSALS_BACKGROUND

    public static final java.lang.String CODEASSIST_PROPOSALS_BACKGROUND

See Also:
  Constant Field Values

#### CODEASSIST_PROPOSALS_FOREGROUND

    public static final java.lang.String CODEASSIST_PROPOSALS_FOREGROUND

See Also:
  Constant Field Values

#### CODEASSIST_REPLACEMENT_BACKGROUND

    public static final java.lang.String CODEASSIST_REPLACEMENT_BACKGROUND

See Also:
  Constant Field Values

#### CODEASSIST_REPLACEMENT_FOREGROUND

    public static final java.lang.String CODEASSIST_REPLACEMENT_FOREGROUND

See Also:
  Constant Field Values

#### CODEASSIST_SHOW_VISIBLE_PROPOSALS

    public static final java.lang.String CODEASSIST_SHOW_VISIBLE_PROPOSALS

See Also:
  Constant Field Values

#### CODEFORMATTER

    public static final java.lang.String CODEFORMATTER

See Also:
  Constant Field Values

#### CODEFORMATTER_LINES_BETWEEN

    public static final java.lang.String CODEFORMATTER_LINES_BETWEEN

See Also:
  Constant Field Values

#### CODEFORMATTER_LINE_MAX_LENGTH

    public static final java.lang.String CODEFORMATTER_LINE_MAX_LENGTH

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_INSIDE_BRACES

    public static final java.lang.String CODEFORMATTER_SPACES_INSIDE_BRACES

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_OUTSIDE_BRACES

    public static final java.lang.String CODEFORMATTER_SPACES_OUTSIDE_BRACES

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_ARROWS

    public static final java.lang.String CODEFORMATTER_SPACES_BEFORE_ARROWS

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_ARROWS

    public static final java.lang.String CODEFORMATTER_SPACES_AFTER_ARROWS

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_SEMI

    public static final java.lang.String CODEFORMATTER_SPACES_BEFORE_SEMI

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_SEMI

    public static final java.lang.String CODEFORMATTER_SPACES_AFTER_SEMI

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_COMA

    public static final java.lang.String CODEFORMATTER_SPACES_BEFORE_COMA

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_COMA

    public static final java.lang.String CODEFORMATTER_SPACES_AFTER_COMA

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_COLON

    public static final java.lang.String CODEFORMATTER_SPACES_BEFORE_COLON

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_COLON

    public static final java.lang.String CODEFORMATTER_SPACES_AFTER_COLON

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_POINT

    public static final java.lang.String CODEFORMATTER_SPACES_BEFORE_POINT

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_POINT

    public static final java.lang.String CODEFORMATTER_SPACES_AFTER_POINT

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_OPERATOR

    public static final java.lang.String CODEFORMATTER_SPACES_BEFORE_OPERATOR

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_OPERATOR

    public static final java.lang.String CODEFORMATTER_SPACES_AFTER_OPERATOR

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_EQUAL

    public static final java.lang.String CODEFORMATTER_SPACES_BEFORE_EQUAL

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_EQUAL

    public static final java.lang.String CODEFORMATTER_SPACES_AFTER_EQUAL

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_PIPE

    public static final java.lang.String CODEFORMATTER_SPACES_BEFORE_PIPE

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_PIPE

    public static final java.lang.String CODEFORMATTER_SPACES_AFTER_PIPE

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_EXCLAMATION

    public static final java.lang.String CODEFORMATTER_SPACES_BEFORE_EXCLAMATION

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_EXCLAMATION

    public static final java.lang.String CODEFORMATTER_SPACES_AFTER_EXCLAMATION

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_RULE_BRACE

    public static final java.lang.String CODEFORMATTER_SPACES_BEFORE_RULE_BRACE

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_BEFORE_ENDING_SEMI

    public static final java.lang.String CODEFORMATTER_SPACES_BEFORE_ENDING_SEMI

See Also:
  Constant Field Values

#### CODEFORMATTER_CUT_AFTER_POINT

    public static final java.lang.String CODEFORMATTER_CUT_AFTER_POINT

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_AFTER_COMMENT

    public static final java.lang.String CODEFORMATTER_SPACES_AFTER_COMMENT

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_OUTSIDE_COLLECTION_BRACE

    public static final java.lang.String CODEFORMATTER_SPACES_OUTSIDE_COLLECTION_BRACE

See Also:
  Constant Field Values

#### CODEFORMATTER_SPACES_INSIDE_COLLECTION_BRACE

    public static final java.lang.String CODEFORMATTER_SPACES_INSIDE_COLLECTION_BRACE

See Also:
  Constant Field Values

#### CODEFORMATTER_LINES_AFTER_MODULE

    public static final java.lang.String CODEFORMATTER_LINES_AFTER_MODULE

See Also:
  Constant Field Values

#### CODEFORMATTER_LINES_AFTER_CREATE_FROM

    public static final java.lang.String CODEFORMATTER_LINES_AFTER_CREATE_FROM

See Also:
  Constant Field Values

#### CODEFORMATTER_LINES_AFTER_SPECIAL_TAGS

    public static final java.lang.String CODEFORMATTER_LINES_AFTER_SPECIAL_TAGS

See Also:
  Constant Field Values

#### EDITOR

    public static final java.lang.String EDITOR

See Also:
  Constant Field Values

#### EDITOR_BACKGROUND_COLOR

    public static final java.lang.String EDITOR_BACKGROUND_COLOR

See Also:
  Constant Field Values

#### EDITOR_BACKGROUND_COLOR_DEFAULT

    public static final java.lang.String EDITOR_BACKGROUND_COLOR_DEFAULT

See Also:
  Constant Field Values

#### EDITOR_FOREGROUND_COLOR

    public static final java.lang.String EDITOR_FOREGROUND_COLOR

See Also:
  Constant Field Values

#### EDITOR_FOREGROUND_COLOR_DEFAULT

    public static final java.lang.String EDITOR_FOREGROUND_COLOR_DEFAULT

See Also:
  Constant Field Values

#### EDITOR_SMART_BACKSPACE

    public static final java.lang.String EDITOR_SMART_BACKSPACE

See Also:
  Constant Field Values

#### HOVER

    public static final java.lang.String HOVER

See Also:
  Constant Field Values

#### HOVER_ANNOTATION_ROLL_OVER

    public static final java.lang.String HOVER_ANNOTATION_ROLL_OVER

See Also:
  Constant Field Values

#### SYNTAX

    public static final java.lang.String SYNTAX

See Also:
  Constant Field Values

#### SYNTAX_BRACKET

    public static final java.lang.String SYNTAX_BRACKET

See Also:
  Constant Field Values

#### SYNTAX_BRACKET_BOLD

    public static final java.lang.String SYNTAX_BRACKET_BOLD

See Also:
  Constant Field Values

#### SYNTAX_BRACKET_COLOR

    public static final java.lang.String SYNTAX_BRACKET_COLOR

See Also:
  Constant Field Values

#### SYNTAX_BRACKET_ITALIC

    public static final java.lang.String SYNTAX_BRACKET_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_CONSTANT

    public static final java.lang.String SYNTAX_CONSTANT

See Also:
  Constant Field Values

#### SYNTAX_CONSTANT_BOLD

    public static final java.lang.String SYNTAX_CONSTANT_BOLD

See Also:
  Constant Field Values

#### SYNTAX_CONSTANT_COLOR

    public static final java.lang.String SYNTAX_CONSTANT_COLOR

See Also:
  Constant Field Values

#### SYNTAX_CONSTANT_ITALIC

    public static final java.lang.String SYNTAX_CONSTANT_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_DEFAULT

    public static final java.lang.String SYNTAX_DEFAULT

See Also:
  Constant Field Values

#### SYNTAX_DEFAULT_BOLD

    public static final java.lang.String SYNTAX_DEFAULT_BOLD

See Also:
  Constant Field Values

#### SYNTAX_DEFAULT_COLOR

    public static final java.lang.String SYNTAX_DEFAULT_COLOR

See Also:
  Constant Field Values

#### SYNTAX_DEFAULT_ITALIC

    public static final java.lang.String SYNTAX_DEFAULT_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_IDENTIFIER

    public static final java.lang.String SYNTAX_IDENTIFIER

See Also:
  Constant Field Values

#### SYNTAX_IDENTIFIER_BOLD

    public static final java.lang.String SYNTAX_IDENTIFIER_BOLD

See Also:
  Constant Field Values

#### SYNTAX_IDENTIFIER_COLOR

    public static final java.lang.String SYNTAX_IDENTIFIER_COLOR

See Also:
  Constant Field Values

#### SYNTAX_IDENTIFIER_ITALIC

    public static final java.lang.String SYNTAX_IDENTIFIER_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_KEYWORD

    public static final java.lang.String SYNTAX_KEYWORD

See Also:
  Constant Field Values

#### SYNTAX_KEYWORD_BOLD

    public static final java.lang.String SYNTAX_KEYWORD_BOLD

See Also:
  Constant Field Values

#### SYNTAX_KEYWORD_COLOR

    public static final java.lang.String SYNTAX_KEYWORD_COLOR

See Also:
  Constant Field Values

#### SYNTAX_KEYWORD_ITALIC

    public static final java.lang.String SYNTAX_KEYWORD_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_BOLD_KEYWORD

    public static final java.lang.String SYNTAX_BOLD_KEYWORD

See Also:
  Constant Field Values

#### SYNTAX_BOLD_KEYWORD_BOLD

    public static final java.lang.String SYNTAX_BOLD_KEYWORD_BOLD

See Also:
  Constant Field Values

#### SYNTAX_BOLD_KEYWORD_COLOR

    public static final java.lang.String SYNTAX_BOLD_KEYWORD_COLOR

See Also:
  Constant Field Values

#### SYNTAX_BOLD_KEYWORD_ITALIC

    public static final java.lang.String SYNTAX_BOLD_KEYWORD_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_CONTEXT_KEYWORD

    public static final java.lang.String SYNTAX_CONTEXT_KEYWORD

See Also:
  Constant Field Values

#### SYNTAX_CONTEXT_KEYWORD_BOLD

    public static final java.lang.String SYNTAX_CONTEXT_KEYWORD_BOLD

See Also:
  Constant Field Values

#### SYNTAX_CONTEXT_KEYWORD_COLOR

    public static final java.lang.String SYNTAX_CONTEXT_KEYWORD_COLOR

See Also:
  Constant Field Values

#### SYNTAX_CONTEXT_KEYWORD_ITALIC

    public static final java.lang.String SYNTAX_CONTEXT_KEYWORD_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_LITERAL

    public static final java.lang.String SYNTAX_LITERAL

See Also:
  Constant Field Values

#### SYNTAX_LITERAL_BOLD

    public static final java.lang.String SYNTAX_LITERAL_BOLD

See Also:
  Constant Field Values

#### SYNTAX_LITERAL_COLOR

    public static final java.lang.String SYNTAX_LITERAL_COLOR

See Also:
  Constant Field Values

#### SYNTAX_LITERAL_ITALIC

    public static final java.lang.String SYNTAX_LITERAL_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_NUMBER

    public static final java.lang.String SYNTAX_NUMBER

See Also:
  Constant Field Values

#### SYNTAX_NUMBER_BOLD

    public static final java.lang.String SYNTAX_NUMBER_BOLD

See Also:
  Constant Field Values

#### SYNTAX_NUMBER_COLOR

    public static final java.lang.String SYNTAX_NUMBER_COLOR

See Also:
  Constant Field Values

#### SYNTAX_NUMBER_ITALIC

    public static final java.lang.String SYNTAX_NUMBER_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_OPERATOR

    public static final java.lang.String SYNTAX_OPERATOR

See Also:
  Constant Field Values

#### SYNTAX_OPERATOR_BOLD

    public static final java.lang.String SYNTAX_OPERATOR_BOLD

See Also:
  Constant Field Values

#### SYNTAX_OPERATOR_COLOR

    public static final java.lang.String SYNTAX_OPERATOR_COLOR

See Also:
  Constant Field Values

#### SYNTAX_OPERATOR_ITALIC

    public static final java.lang.String SYNTAX_OPERATOR_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_COMMENT

    public static final java.lang.String SYNTAX_SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_COMMENT_BOLD

    public static final java.lang.String SYNTAX_SINGLE_LINE_COMMENT_BOLD

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_COMMENT_COLOR

    public static final java.lang.String SYNTAX_SINGLE_LINE_COMMENT_COLOR

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_COMMENT_ITALIC

    public static final java.lang.String SYNTAX_SINGLE_LINE_COMMENT_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_SPECIAL_COMMENT

    public static final java.lang.String SYNTAX_SINGLE_LINE_SPECIAL_COMMENT

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_BOLD

    public static final java.lang.String SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_BOLD

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_COLOR

    public static final java.lang.String SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_COLOR

See Also:
  Constant Field Values

#### SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_ITALIC

    public static final java.lang.String SYNTAX_SINGLE_LINE_SPECIAL_COMMENT_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_STRING

    public static final java.lang.String SYNTAX_STRING

See Also:
  Constant Field Values

#### SYNTAX_STRING_BOLD

    public static final java.lang.String SYNTAX_STRING_BOLD

See Also:
  Constant Field Values

#### SYNTAX_STRING_COLOR

    public static final java.lang.String SYNTAX_STRING_COLOR

See Also:
  Constant Field Values

#### SYNTAX_STRING_ITALIC

    public static final java.lang.String SYNTAX_STRING_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_SYMBOL

    public static final java.lang.String SYNTAX_SYMBOL

See Also:
  Constant Field Values

#### SYNTAX_SYMBOL_BOLD

    public static final java.lang.String SYNTAX_SYMBOL_BOLD

See Also:
  Constant Field Values

#### SYNTAX_SYMBOL_COLOR

    public static final java.lang.String SYNTAX_SYMBOL_COLOR

See Also:
  Constant Field Values

#### SYNTAX_SYMBOL_ITALIC

    public static final java.lang.String SYNTAX_SYMBOL_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_TYPE

    public static final java.lang.String SYNTAX_TYPE

See Also:
  Constant Field Values

#### SYNTAX_TYPE_BOLD

    public static final java.lang.String SYNTAX_TYPE_BOLD

See Also:
  Constant Field Values

#### SYNTAX_TYPE_COLOR

    public static final java.lang.String SYNTAX_TYPE_COLOR

See Also:
  Constant Field Values

#### SYNTAX_TYPE_ITALIC

    public static final java.lang.String SYNTAX_TYPE_ITALIC

See Also:
  Constant Field Values

#### SYNTAX_ABSTRACT_TYPE

    public static final java.lang.String SYNTAX_ABSTRACT_TYPE

See Also:
  Constant Field Values

#### SYNTAX_ABSTRACT_TYPE_BOLD

    public static final java.lang.String SYNTAX_ABSTRACT_TYPE_BOLD

See Also:
  Constant Field Values

#### SYNTAX_ABSTRACT_TYPE_COLOR

    public static final java.lang.String SYNTAX_ABSTRACT_TYPE_COLOR

See Also:
  Constant Field Values

#### SYNTAX_ABSTRACT_TYPE_ITALIC

    public static final java.lang.String SYNTAX_ABSTRACT_TYPE_ITALIC

See Also:
  Constant Field Values

#### TYPING

    public static final java.lang.String TYPING

See Also:
  Constant Field Values

#### TYPING_CLOSE_BRACES

    public static final java.lang.String TYPING_CLOSE_BRACES

See Also:
  Constant Field Values

#### TYPING_CLOSE_BRACKETS

    public static final java.lang.String TYPING_CLOSE_BRACKETS

See Also:
  Constant Field Values

#### TYPING_CLOSE_STRINGS

    public static final java.lang.String TYPING_CLOSE_STRINGS

See Also:
  Constant Field Values

#### TYPING_ESCAPE_STRINGS

    public static final java.lang.String TYPING_ESCAPE_STRINGS

See Also:
  Constant Field Values

#### TYPING_IMPORTS_ON_PASTE

    public static final java.lang.String TYPING_IMPORTS_ON_PASTE

See Also:
  Constant Field Values

#### TYPING_SMART_OPENING_BRACE

    public static final java.lang.String TYPING_SMART_OPENING_BRACE

See Also:
  Constant Field Values

#### TYPING_SMART_PASTE

    public static final java.lang.String TYPING_SMART_PASTE

See Also:
  Constant Field Values

#### TYPING_SMART_SEMICOLON

    public static final java.lang.String TYPING_SMART_SEMICOLON

See Also:
  Constant Field Values

#### TYPING_SMART_TAB

    public static final java.lang.String TYPING_SMART_TAB

See Also:
  Constant Field Values

#### TYPING_SPACES_FOR_TABS

    public static final java.lang.String TYPING_SPACES_FOR_TABS

See Also:
  Constant Field Values

#### TYPING_WRAP_STRINGS

    public static final java.lang.String TYPING_WRAP_STRINGS

See Also:
  Constant Field Values

### Method Detail

#### createStoreKeys

    public static AtlPreferenceStore.Key[] createStoreKeys()

This method generates a list of preference keys that can be used to initialize a new preference fPreferenceeStore.

Returns:
  an array of preferences.

#### initializeDefaultValues

    public static void initializeDefaultValues​(org.eclipse.jface.preference.IPreferenceStore store)

Initialize a preference fPreferenceeStore with the default values that are setting up by the inline constants.

Parameters:
  `store` - The preference fPreferenceeStore to modify.